Bug 165061 - exportfs incorrectly unexports filesystems when -r is used
Summary: exportfs incorrectly unexports filesystems when -r is used
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Regression
Depends On: 164186
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-08-03 23:46 UTC by Steve Dickson
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-727
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 17:45:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:727 qe-ready SHIPPED_LIVE nfs-utils bug fix update 2005-10-05 04:00:00 UTC

Description Steve Dickson 2005-08-03 23:46:21 UTC
+++ This bug was initially created as a clone of Bug #164186 +++

Description of problem:
exportfs, when re-exporting filesystems, instead unexports them.

Version-Release number of selected component (if applicable):
RHEL3 U5

How reproducible:
always

Steps to Reproduce:
1) On server added the folowing to file  /etc/exports :
   /tmp *(ro)

2) On server restart nfs :
    # service nfs restart

3) On client mount/unmount  (WORKS) :
    # mount server123.redhat.com:/tmp /mnt/tmp
    # umount /tmp/mnt

4) On server re-export /tmp :
    # exportfs -rv
    exporting *:/tmp
    unexporting client123.redhat.com:/tmp from kerne
  
Actual results:
/tmp is not exported in the kernel, and subsequent attempts to mount the file
system from a client result in getfh: permission denied messages on the client
and from rpc.mountd on the server

Expected results:
filesystem should continue to be mount-able.

Additional info:
I'm attaching my patch to correct this.  It appears when re-exporting, the
rebuild of the export database in xtab_read, when reading /proc/fs/nfs/exports,
fails to set the m_mayexport flag, as it does when reading /var/lib/nfs/xtab. 
The result is that exportfs interprets this as a indicator to explicitly
unexport the mount.  The attached patch corrects this, and has been successfully
tested by the customer

Comment 9 Red Hat Bugzilla 2005-10-05 17:31:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-727.html


Comment 10 Red Hat Bugzilla 2005-10-05 17:45:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-727.html



Note You need to log in before you can comment on or make changes to this bug.